const templete = require('./templete.json');
const request = require('request-promise');

const hook = 'T0449DHSFC1/B0449EEKEJD/Tu28KpyVmIxq6k51vffHq5i2';

var pushNotifi = async (mochajson) => {
    try {
        let test_count = mochajson.stats.tests
        let pass_count = mochajson.stats.passes
        let pass_presentage = mochajson.stats.passPercent
        let faill_count = mochajson.stats.failures
        let pending_count = mochajson.stats.pending
        let skip_count = mochajson.stats.pending

        console.log("test", test_count, pass_count, pass_presentage, faill_count, pending_count, skip_count)

        let replacePassPrantage = `*Test Service Status*
:green_heart:  PASS · ${pass_presentage}%  (Total ${test_count} TCS)`

        templete.blocks[2].fields[1].text = replacePassPrantage

        let replaceTestResult = `*PROD : MP - SERVICE TEST SUITE*
Module Name: *Merchant Portal - Services Test*
Status: *Pass - ${pass_count} :sunny: | Skip - ${skip_count} :partly_sunny: | Fail - ${faill_count} :cloud:*
Link ReportPortal Dashboard View. *<https://report-portal.grubtech.com/>*`

        templete.blocks[6].text.text = replaceTestResult

        console.log("result", templete)
        const slack = templete
        const res = await request({
            url: `https://hooks.slack.com/services/${hook}`, method: 'POST', body: slack, json: true
        })
    } catch (e) {
        console.log('error', e)
    }
};
module.exports = { pushNotifi }